﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Web;
using System.Web.UI;
using System.Web.UI.WebControls;

using HLWebOKBQueryPlugin.OKBQueryService;

namespace HLWebOKBQueryPlugin.Views.Query {
    public partial class RunCollectionTable : System.Web.UI.UserControl {
        public IList<Run> DataRuns { get; set; }

        protected void Page_Load(object sender, EventArgs e) {
            DataRuns = getTestData();

            IList<RunCollectionData> runsList = new List<RunCollectionData>();
            foreach (Run r in DataRuns)
                runsList.Add(new RunCollectionData(r));

            GridRunCollection.DataSource = runsList;
            GridRunCollection.DataBind();

        }

        private IList<Run> getTestData() {
            IList<Run> runs = new List<Run>();

            Run run = new Run();
            run.Id = 34;
            run.Algorithm = new OKBQueryService.Algorithm();
            run.Algorithm.Name = "TestAlgo";
            run.Algorithm.AlgorithmClass = "TestAlgoClass";
            runs.Add(run);

            run = new Run();
            run.Id = 35;
            run.Algorithm = new OKBQueryService.Algorithm();
            run.Algorithm.Name = "TestAlgo2";
            run.Algorithm.AlgorithmClass = "TestAlgoClass2";
            runs.Add(run);

            run = new Run();
            run.Id = 36;
            run.Algorithm = new OKBQueryService.Algorithm();
            run.Algorithm.Name = "TestAlgo3";
            run.Algorithm.AlgorithmClass = "TestAlgoClass3";
            runs.Add(run);

            return runs;
        }

        protected void GridRunCollection_RowCommand(Object sender, GridViewCommandEventArgs e) {
            txtTest.Text = e.CommandName;
            if (e.CommandName == "Select") {
                // TODO gererate Details
                txtTest.Text = e.CommandName;
            }
        }

        protected void GridRunCollection_SelectedIndexChanged(Object sender, EventArgs e) {
            txtTest2.Text = GridRunCollection.SelectedIndex.ToString();
        }
    }

}